[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Calendar' (#lcl)

# TDisplaySettings

Set type for TDisplaySetting values.

## Declaration

Source position: calendar.pp line 43

`type TDisplaySettings = set of (`
`dsShowHeadings,` |  | Displays a month/year heading.
`dsShowDayNames,` |  | Displays day names.
`dsNoMonthChange,` |  | Prevents changing the current month.
`dsShowWeekNumbers` |  | Displays week numbers.
`);`

## Description

TDisplaySettings is a set type used to store enumerations values from TDisplaySetting. It is the type used for the DisplaySettings property in TCustomCalendar.

## See also

TCustomCalendar.DisplaySettings |  | DisplaySettings contains options which control the appearance or behavior for the calendar control.
TDisplaySetting |  | Enumerated type with values that control display settings in TCalendar.